org.apache.ignite.internal

## Class IgniteDiagnosticInfo

- java.lang.Object
- - org.apache.ignite.internal.IgniteDiagnosticInfo

All Implemented Interfaces:
  Serializable

    public class IgniteDiagnosticInfo
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteDiagnosticInfo(String msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `message()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteDiagnosticInfo

    public IgniteDiagnosticInfo(String msg)

Parameters:
  `msg` - Message.

### Method Detail

#### message

    public String message()

Returns:
  Message.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019